# geos::operation::relate::RelateComputer Class Reference

Computes the topological relationship between two Geometries. More...

`#include <RelateComputer.h>`

List of all members.

## Public Member Functions

| RelateComputer (std::vector< geomgraph::GeometryGraph * > *newArg)
geom::IntersectionMatrix * | computeIM ()

## Detailed Description

Computes the topological relationship between two Geometries.

RelateComputer does not need to build a complete graph structure to compute the IntersectionMatrix. The relationship between the geometries can be computed by simply examining the labelling of edges incident on each node.

RelateComputer does not currently support arbitrary GeometryCollections. This is because GeometryCollections can contain overlapping Polygons. In order to correct compute relate on overlapping Polygons, they would first need to be noded and merged (if not explicitly, at least implicitly).

The documentation for this class was generated from the following file:

- RelateComputer.h